Bug 1417287 - Error running subunit2junitxml in OSP11
Summary: Error running subunit2junitxml in OSP11
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: subunit
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 11.0 (Ocata)
Assignee: RHOS Maint
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 19:57 UTC by Alfredo Moralejo
Modified: 2017-05-26 14:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-26 14:02:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alfredo Moralejo 2017-01-27 19:57:09 UTC
Description of problem:

When try to run subunit2junitxml command i get following error:

$ subunit2junitxml
python-junitxml (https://launchpad.net/pyjunitxml or http://pypi.python.org/pypi/junitxml) is required for this filter.Traceback (most recent call last):
  File "/usr/bin/subunit2junitxml", line 27, in <module>
    from junitxml import JUnitXmlResult
ImportError: No module named junitxml


Version-Release number of selected component (if applicable):

python-junitxml-0.7-4.el7ost.noarch


How reproducible:

Allways

Steps to Reproduce:
1. yum install subunit-filters
2. subunit2junitxml

Actual results:

Command fails with error:

  File "/usr/bin/subunit2junitxml", line 27, in <module>
    from junitxml import JUnitXmlResult
ImportError: No module named junitxml

Expected results:

Command should succeed.

Additional info:

Command works fine after manually installing python-junitxml

Comment 1 Mike Burns 2017-01-30 14:52:20 UTC
Where is this issue occurring?  It seems that this was intentionally done as a soft dependency.  The script is written to fail gracefully if junitxml is not available.

Comment 2 Mike Burns 2017-01-30 16:36:43 UTC
Appears that tempest (or something else) dropped their requirement on junitxml which exposed this

Comment 3 Mike Burns 2017-05-26 14:02:07 UTC
Marking Closed Wontfix.  Python dependencies shipped in OSP are not generally supported, they're supported for the use case of OpenStack.  If OpenStack needs to run subunit2junitxml, then please share that use case and re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.